# `PhoenixKitWeb.Components.Core.Select`
[🔗](https://github.com/BeamLabEU/phoenix_kit/blob/v1.7.87/lib/phoenix_kit_web/components/core/select.ex#L1)

Provides a default select UI component.

# `select`

## Attributes

* `field` (`Phoenix.HTML.FormField`)
* `id` (`:any`) - Defaults to `nil`.
* `name` (`:any`)
* `label` (`:string`) - Defaults to `nil`.
* `value` (`:any`)
* `options` (`:list`)
* `multiple` (`:boolean`) - Defaults to `false`.
* `prompt` (`:string`) - Defaults to `nil`.
* `errors` (`:list`) - Defaults to `[]`.
* Global attributes are accepted. Supports all globals plus: `["autocomplete", "cols", "maxlength", "disabled", "placeholder", "readonly", "required", "rows"]`.

---

*Consult [api-reference.md](api-reference.md) for complete listing*
